Package org.eclipse.lemminx.extensions.contentmodel.participants

## Class ContentModelSymbolsProviderParticipant

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.ContentModelSymbolsProviderParticipant

All Implemented Interfaces:
  `ISymbolsProviderParticipant`

    public class ContentModelSymbolsProviderParticipant
    extends Object
    implements ISymbolsProviderParticipant

Symbol participant to show referenced grammars information.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.lemminx.services.extensions.ISymbolsProviderParticipant

`ISymbolsProviderParticipant.SymbolStrategy`

### Constructor Summary

Constructors
`ContentModelSymbolsProviderParticipant​(ContentModelManager contentModelManager)`

### Method Summary

All Methods Instance Methods Concrete Methods

`ISymbolsProviderParticipant.SymbolStrategy`

`applyFor​(DOMDocument document)`

Returns the symbol strategy to apply for the given DOM document : `ISymbolsProviderParticipant.SymbolStrategy.UNADAPTABLE` : means that the participant is not applicable for the document `ISymbolsProviderParticipant.SymbolStrategy.INSERT` : means that the participant will insert symbols on the top of the standards symbols.

`void` `findDocumentSymbols​(DOMDocument document, DocumentSymbolsResult symbols, XMLSymbolFilter filter, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Fill the given document symbol result with custom document symbol.
`void` `findSymbolInformations​(DOMDocument document, SymbolInformationResult symbols, XMLSymbolFilter filter, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Fill the given symbol information result with custom symbol informations.
`boolean` `isEnabled()`
`void` `setEnabled​(boolean enabled)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentModelSymbolsProviderParticipant

    public ContentModelSymbolsProviderParticipant​(ContentModelManager contentModelManager)

### Method Detail

#### applyFor

    public ISymbolsProviderParticipant.SymbolStrategy applyFor​(DOMDocument document)

Description copied from interface: `ISymbolsProviderParticipant`
Returns the symbol strategy to apply for the given DOM document :

- `ISymbolsProviderParticipant.SymbolStrategy.UNADAPTABLE` : means that the participant is not applicable for the document
- `ISymbolsProviderParticipant.SymbolStrategy.INSERT` : means that the participant will insert symbols on the top of the standards symbols. *
- `ISymbolsProviderParticipant.SymbolStrategy.REPLACE` : means that the participant will replace the standard XML symbols with their own symbols.

Specified by:
  `applyFor` in interface `ISymbolsProviderParticipant`
Parameters:
  `document` - the DOM document.
Returns:
  the symbol strategy to apply for the given DOM document.

#### findSymbolInformations

    public void findSymbolInformations​(DOMDocument document,
                                       SymbolInformationResult symbols,
                                       XMLSymbolFilter filter,
                                       org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `ISymbolsProviderParticipant`
Fill the given symbol information result with custom symbol informations.

Specified by:
  `findSymbolInformations` in interface `ISymbolsProviderParticipant`
Parameters:
  `document` - the DOM document.
  `symbols` - the symbols to update.
  `filter` - the symbol filter.
  `cancelChecker` - the cancel checker.

#### findDocumentSymbols

    public void findDocumentSymbols​(DOMDocument document,
                                    DocumentSymbolsResult symbols,
                                    XMLSymbolFilter filter,
                                    org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `ISymbolsProviderParticipant`
Fill the given document symbol result with custom document symbol.

Specified by:
  `findDocumentSymbols` in interface `ISymbolsProviderParticipant`
Parameters:
  `document` - the DOM document.
  `symbols` - the symbols to update.
  `filter` - the symbol filter.
  `cancelChecker` - the cancel checker.

#### setEnabled

    public void setEnabled​(boolean enabled)

#### isEnabled

    public boolean isEnabled()